from matplotlib import pyplot as plt
import numpy as np
import camb
from camb import model, initialpower

pars = camb.CAMBparams()
pars.set_cosmology(H0=67.5, ombh2=0.022, omch2=0.122)
results = camb.get_background(pars)

z = np.linspace(0,4,100)
DA = results.angular_diameter_distance(z)
DL = results.luminosity_distance(z)
plt.plot(z, DA)
plt.xlabel('$z$')
plt.ylabel(r'$D_A /\rm{Mpc}$')
plt.title('Angular diameter distance')
plt.ylim([0,2000]);


plt.savefig('plot6.pdf')
plt.show()



plt.plot(z, DL)
plt.xlabel('$z$')
plt.ylabel(r'$D_L /\rm{Mpc}$')
plt.title('Luminosity distance')
#plt.ylim([0,2000]);


plt.savefig('plot6-2.pdf')
plt.show()